/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.alias;

import aQute.bnd.annotation.ConsumerType;

import com.liferay.apio.architect.file.BinaryFile;

import java.util.function.Function;

/**
 * Defines a type alias for a function that receives a model of type {@code T}
 * and returns a binary representation of that model in an {@code InputStream}.
 *
 * @author Alejandro Hernández
 * @param  <T> the model's type
 */
@ConsumerType
@FunctionalInterface
public interface BinaryFunction<T> extends Function<T, BinaryFile> {
}