/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.alias;

import aQute.bnd.annotation.ConsumerType;

import java.util.function.Function;

import javax.servlet.http.HttpServletRequest;

/**
 * Defines a type alias for a function that receives an {@code
 * HttpServletRequest} and returns another item.
 *
 * @author Alejandro Hernández
 * @param  <T> the type of the function's result
 */
@ConsumerType
@FunctionalInterface
public interface RequestFunction<T> extends Function<HttpServletRequest, T> {
}