/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.alias.form;

import aQute.bnd.annotation.ConsumerType;

import com.liferay.apio.architect.form.Form;
import com.liferay.apio.architect.form.Form.Builder;

import java.util.function.Function;

/**
 * Defines a type alias for a function that receives a {@link Form.Builder} of
 * type {@code T} and returns the constructed {@link Form} of type {@code T}.
 *
 * @author Alejandro Hernández
 * @param  <T> the form's type
 */
@ConsumerType
public interface FormBuilderFunction<T> extends Function<Builder<T>, Form<T>> {
}