/**
 * Copyright (c) 2000-present Liferay, Inc. All rights reserved.
 *
 * The contents of this file are subject to the terms of the Liferay Enterprise
 * Subscription License ("License"). You may not use this file except in
 * compliance with the License. You can obtain a copy of the License by
 * contacting Liferay, Inc. See the License for the specific language governing
 * permissions and limitations under the License, including but not limited to
 * distribution rights of the Software.
 *
 *
 *
 */

package com.liferay.apio.architect.form;

import aQute.bnd.annotation.ProviderType;

/**
 * Represents the field of a {@link Form}.
 *
 * @author Alejandro Hernández
 */
@ProviderType
public interface FormField {

	/**
	 * Returns the type of this field.
	 *
	 * @return the type of this field
	 */
	public FieldType getFieldType();

	/**
	 * Returns the name of the field.
	 *
	 * @return the name of the field
	 */
	public String getName();

	/**
	 * Returns {@code true} if the field is required in this {@code Form};
	 * {@code false} otherwise.
	 *
	 * @return @code <code>true</code>} if the field is required in the {@code
	 *         Form}; {@code false} otherwise
	 */
	public boolean isRequired();

}